package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 计算方式
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum ConditionMethodEnum implements BaseEnum<String, ConditionMethodEnum> {

    AND("全部满足"),
    OR("满足其一"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ConditionMethodEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
